ZenLib::CriticalSection Class Reference

CriticalSection manipulation. More...

`#include <CriticalSection.h>`

## Public Member Functions

| CriticalSection ()
| ~CriticalSection ()
void | Enter ()
void | Leave ()

## Detailed Description

CriticalSection manipulation.

## Constructor & Destructor Documentation

## CriticalSection()

ZenLib::CriticalSection::CriticalSection | ( |  | ) |

## ~CriticalSection()

ZenLib::CriticalSection::~CriticalSection | ( |  | ) |

## Member Function Documentation

## Enter()

void ZenLib::CriticalSection::Enter | ( |  | ) |

Referenced by ZenLib::CriticalSectionLocker::CriticalSectionLocker().

## Leave()

void ZenLib::CriticalSection::Leave | ( |  | ) |

The documentation for this class was generated from the following file:

- CriticalSection.h